{% extends 'base.html.twig' %}
{% block body %}
<div class="max-w-4xl mx-auto bg-white p-6 rounded-lg shadow-lg">
    <div class="flex justify-between items-center mb-6">
        <div>
            <h1 class="text-2xl font-bold">Bon de Commande</h1>
            <p class="text-gray-600">Date: {{ order.orderedAt ? order.orderedAt.format('d/m/Y') : '_' }}</p>
        </div>
        <div class="text-right">
            <p class="text-gray-600">Numéro de Commande: <span class="font-semibold">COM{{ order.id }}</span></p>
            <p class="text-gray-600">Fournisseur: <span class="font-semibold">{{ fournisseur.name }}</span></p>
        </div>
    </div>

    <div class="flex justify-between w-full">
        <div class="mb-4 w-1/2">
            <h2 class="text-lg font-semibold mb-2">Adresse de Livraison</h2>
            <p class="text-gray-600">BEER BAR</p>
            <p class="text-gray-600">11 rue des platanes</p>
            <p class="text-gray-600">33300 Bordeaux, France</p>
        </div>

        <div class="mb-4 w-1/2">
            <h2 class="text-lg font-semibold mb-2">Adresse de Facturation</h2>
            <p class="text-gray-600">{{ fournisseur.name }}</p>
            <p class="text-gray-600">{{ fournisseur.route }}</p>
            <p class="text-gray-600">{{ fournisseur.zipcode }}, {{ fournisseur.country }}</p>
        </div>
    </div>

    <div class="overflow-x-auto">
        <table class="min-w-full bg-white border">
            <thead>
            <tr class="w-full bg-gray-100 text-left">
                <th class="py-2 px-4 border-b">Produit</th>
                <th class="py-2 px-4 border-b">Quantité</th>
                <th class="py-2 px-4 border-b">Prix Unitaire</th>
                <th class="py-2 px-4 border-b">Total</th>
            </tr>
            </thead>
            <tbody>
            {% for orderitem in order.orderItems %}
                <tr>
                    <td class="py-2 px-4 border-b">{{ orderitem.produit.biere.name }}</td>
                    <td class="py-2 px-4 border-b">{{ orderitem.quantity }}</td>
                    <td class="py-2 px-4 border-b">{{ orderitem.produit.priceTtc }} €</td>
                    <td class="py-2 px-4 border-b">{{ orderitem.produit.priceTtc * orderitem.quantity }} €</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <div class="mt-6 flex justify-end">
        <div class="w-1/3">
            <div class="flex justify-between py-2 border-t border-b">
                <span class="font-semibold">Sous-total</span>
                <span>{{ price.totalHT }} €</span>
            </div>
            <div class="flex justify-between py-2 border-b">
                <span class="font-semibold">TVA (20%)</span>
                <span>{{ price.totalTTC - price.totalHT }} €</span>
            </div>
            <div class="flex justify-between py-2 border-b">
                <span class="font-semibold">Total</span>
                <span class="font-semibold">{{ price.totalTTC }} €</span>
            </div>
        </div>
    </div>
</div>
{% endblock %}